### Constructor

# Msg InputStream new

#### Declaration [src]

    GInputStream*
    msg_input_stream_new (
      MsgService* service,
      char* uri
    )

#### Description [src]

Prepares to send a GET request for `uri` on `session`, and returns a `GInputStream` that can be used to read the response.

The request will not be sent until the first read call; if you need to look at the status code or response headers before reading the body, you can use `msg_input_stream_send()` or `msg_input_stream_send_async()` to force the message to be sent and the response headers read.

#### Parameters

`service`

  Type: `MsgService`

  A `MsgService`.

  The data is owned by the caller of the function.

`uri`

  Type: `char*`

  A `GUri`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GInputStream`

A new `GInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.